> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ウェブリンク リソース

ウェブリンクとは、URLを指すオブジェクトです。これらのオブジェクトはBoxウェブアプリケーション内ではブックマークとも呼ばれます。

## ウェブリンク

ウェブリンクとは、URLを指すオブジェクトです。これらのオブジェクトはBoxウェブアプリケーション内ではブックマークとも呼ばれます。 ウェブリンクオブジェクトはファイルオブジェクトと同様に扱われ、通常のファイルに適用されるアクションの大部分もサポートしています。

<Accordion title="属性と例">
  | プロパティ                               | 型                                                                     | 必須  | 説明                                                                                                                                                                                                                                                                                                                        |
  | ----------------------------------- | --------------------------------------------------------------------- | --- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `id`                                | `string`                                                              | はい  | このウェブリンクの一意の識別子。                                                                                                                                                                                                                                                                                                          |
  | `type`                              | `enum<string>`                                                        | はい  | 値は常に`web_link`になります。 使用可能なオプション: `web_link`.                                                                                                                                                                                                                                                                              |
  | `etag`                              | `string`                                                              | いいえ | このウェブリンクのエンティティタグ。`If-Match`ヘッダーで使用します。                                                                                                                                                                                                                                                                                   |
  | `url`                               | `string`                                                              | いいえ | このウェブリンクが指すURL。                                                                                                                                                                                                                                                                                                           |
  | `sequence_id`                       | `string`                                                              | いいえ | この項目に適用された最新のUser Eventを表す数値の識別子。 これを`GET /events`エンドポイントと組み合わせて使用すると、この識別子が読み取られる前に発生した可能性があるUser Eventを除外できます。 たとえば、Box DriveなどのアプリケーションがAPIを介して項目を取得し、その項目の変更に関連するUser Eventの発生を監視する場合などがこれに該当します。User Eventの`sequence_id`が最初に取得されたリソースの`sequence_id`よりも小さいか同じである場合、アプリケーションはそのようなUser Eventをすべて無視します。 `null` を指定できます。 |
  | `name`                              | `string`                                                              | いいえ | ウェブリンクの名前。                                                                                                                                                                                                                                                                                                                |
  | `parent`                            | [フォルダ (Mini)](/ja/reference/folders-resources#-mini)                  | いいえ | ウェブリンクが属する親オブジェクト。                                                                                                                                                                                                                                                                                                        |
  | `description`                       | `string`                                                              | いいえ | ウェブリンクに付加される説明。この説明は、Boxウェブアプリケーション内に表示されます。                                                                                                                                                                                                                                                                              |
  | `path_collection`                   | `object`                                                              | いいえ | 項目の親フォルダのリスト。                                                                                                                                                                                                                                                                                                             |
  | `created_at`                        | `string`                                                              | いいえ | このファイルがBoxのサーバー上に作成された日時。                                                                                                                                                                                                                                                                                                 |
  | `modified_at`                       | `string`                                                              | いいえ | このファイルがBoxサーバー上で最後に更新された日時。                                                                                                                                                                                                                                                                                               |
  | `trashed_at`                        | `string`                                                              | いいえ | このファイルがごみ箱に移動された日時。 `null` を指定できます。                                                                                                                                                                                                                                                                                       |
  | `purged_at`                         | `string`                                                              | いいえ | このファイルが完全に削除される日時。 `null` を指定できます。                                                                                                                                                                                                                                                                                        |
  | `created_by`                        | [ユーザー (Mini)](/ja/reference/users-resources#-mini)                    | いいえ | このウェブリンクを作成したユーザー。                                                                                                                                                                                                                                                                                                        |
  | `modified_by`                       | [ユーザー (Mini)](/ja/reference/users-resources#-mini)                    | いいえ | このウェブリンクを最後に変更したユーザー。                                                                                                                                                                                                                                                                                                     |
  | `owned_by`                          | [ユーザー (Mini)](/ja/reference/users-resources#-mini)                    | いいえ | このウェブリンクを所有するユーザー。                                                                                                                                                                                                                                                                                                        |
  | `shared_link`                       | `object`                                                              | いいえ | 共有リンクを作成すると、Box上のファイルやフォルダに対する読み取り専用アクセスを直接実行できます。 アクセスレベルがopenに設定されている共有リンクの場合は、URLを知っているすべてのユーザーが項目にアクセスでき、アクセスレベルがcompanyまたはcollaboratorsに設定されている共有リンクの場合は、適切に認証されたBoxユーザーのみが項目にアクセスできます。 `null` を指定できます。                                                                                                              |
  | `item_status`                       | `enum<string>`                                                        | いいえ | この項目が削除されたかどうか。値には、`active`、`trashed` (ファイルがごみ箱に移動された場合)、`deleted` (ファイルが完全に削除された場合) があります。 使用可能なオプション: `active`, `trashed`, `deleted`.                                                                                                                                                                                   |
  | `collections`                       | array of [Collection](/ja/reference/collections-resources#collection) | いいえ | The collections that this web link belongs to. For more information, see the [collections guide](/guides/collections).                                                                                                                                                                                                    |
  | `allowed_shared_link_access_levels` | array of `enum<string>`                                               | いいえ | The shared link access levels the authenticated user is allowed to use when creating or updating a shared link for this web link. The list depends on item policy and user authorization, so it may be narrower than the levels available to the owner. An empty array means no access level is available to this user.   |

  ```json 例 theme={null}
  {
    "id": "11446498",
    "type": "web_link",
    "etag": "1",
    "url": "https://www.example.com/example/1234",
    "sequence_id": "3",
    "name": "My Bookmark",
    "parent": {
      "id": "12345",
      "etag": "1",
      "type": "folder",
      "sequence_id": "3",
      "name": "Contracts"
    },
    "description": "Example page",
    "path_collection": {
      "total_count": 1,
      "entries": [
        {
          "id": "12345",
          "etag": "1",
          "type": "folder",
          "sequence_id": "3",
          "name": "Contracts"
        }
      ]
    },
    "created_at": "2012-12-12T10:53:43-08:00",
    "modified_at": "2012-12-12T10:53:43-08:00",
    "trashed_at": "2012-12-12T10:53:43-08:00",
    "purged_at": "2012-12-12T10:53:43-08:00",
    "created_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "modified_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "owned_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "shared_link": {
      "url": "https://www.box.com/s/vspke7y05sb214wjokpk",
      "download_url": "https://www.box.com/shared/static/rh935iit6ewrmw0unyul.jpeg",
      "vanity_url": "https://acme.app.box.com/v/my_url/",
      "vanity_name": "my_url",
      "access": "open",
      "effective_access": "company",
      "effective_permission": "can_download",
      "unshared_at": "2018-04-13T13:53:23-07:00",
      "is_password_enabled": true,
      "permissions": {
        "can_download": true,
        "can_preview": true,
        "can_edit": false
      },
      "download_count": 3,
      "preview_count": 3
    },
    "item_status": "active",
    "collections": [
      {
        "id": "11446498",
        "type": "collection",
        "name": "Favorites",
        "collection_type": "favorites"
      }
    ],
    "allowed_shared_link_access_levels": [
      "open"
    ]
  }
  ```
</Accordion>

## ウェブリンク (Base)

ウェブリンクとは、URLを指すオブジェクトです。これらのオブジェクトはBoxウェブアプリケーション内ではブックマークとも呼ばれます。 ウェブリンクオブジェクトはファイルオブジェクトと同様に扱われ、通常のファイルに適用されるアクションの大部分もサポートしています。

<Accordion title="属性と例">
  | プロパティ  | 型              | 必須  | 説明                                           |
  | ------ | -------------- | --- | -------------------------------------------- |
  | `id`   | `string`       | はい  | このウェブリンクの一意の識別子。                             |
  | `type` | `enum<string>` | はい  | 値は常に`web_link`になります。 使用可能なオプション: `web_link`. |
  | `etag` | `string`       | いいえ | このウェブリンクのエンティティタグ。`If-Match`ヘッダーで使用します。      |

  ```json 例 theme={null}
  {
    "id": "11446498",
    "type": "web_link",
    "etag": "1"
  }
  ```
</Accordion>

## ウェブリンク (Mini)

ウェブリンクとは、URLを指すオブジェクトです。これらのオブジェクトはBoxウェブアプリケーション内ではブックマークとも呼ばれます。 ウェブリンクオブジェクトはファイルオブジェクトと同様に扱われ、通常のファイルに適用されるアクションの大部分もサポートしています。

<Accordion title="属性と例">
  | プロパティ         | 型              | 必須  | 説明                                                                                                                                                                                                                                                                                                                        |
  | ------------- | -------------- | --- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `id`          | `string`       | はい  | このウェブリンクの一意の識別子。                                                                                                                                                                                                                                                                                                          |
  | `type`        | `enum<string>` | はい  | 値は常に`web_link`になります。 使用可能なオプション: `web_link`.                                                                                                                                                                                                                                                                              |
  | `etag`        | `string`       | いいえ | このウェブリンクのエンティティタグ。`If-Match`ヘッダーで使用します。                                                                                                                                                                                                                                                                                   |
  | `url`         | `string`       | いいえ | このウェブリンクが指すURL。                                                                                                                                                                                                                                                                                                           |
  | `sequence_id` | `string`       | いいえ | この項目に適用された最新のUser Eventを表す数値の識別子。 これを`GET /events`エンドポイントと組み合わせて使用すると、この識別子が読み取られる前に発生した可能性があるUser Eventを除外できます。 たとえば、Box DriveなどのアプリケーションがAPIを介して項目を取得し、その項目の変更に関連するUser Eventの発生を監視する場合などがこれに該当します。User Eventの`sequence_id`が最初に取得されたリソースの`sequence_id`よりも小さいか同じである場合、アプリケーションはそのようなUser Eventをすべて無視します。 `null` を指定できます。 |
  | `name`        | `string`       | いいえ | ウェブリンクの名前。                                                                                                                                                                                                                                                                                                                |

  ```json 例 theme={null}
  {
    "id": "11446498",
    "type": "web_link",
    "etag": "1",
    "url": "https://www.example.com/example/1234",
    "sequence_id": "3",
    "name": "My Bookmark"
  }
  ```
</Accordion>
